import './public-path'
import { AppContainer } from 'react-hot-loader';
import React from 'react';
import ReactDOM from 'react-dom';
import { BrowserRouter, Route } from 'react-router-dom'
import './index.css';
import App from './App';
import { configureUrlQuery } from 'react-url-query';
import history from './history';

configureUrlQuery({ history });

window.__useKindEditor = false;



const render = (Component) => {
  ReactDOM.render(
    <AppContainer >
      {/* <Component /> */}
      <BrowserRouter basename='/'>
        <Route path={`/`} component={App}></Route>
      </BrowserRouter>
    </AppContainer>,
    document.getElementById('root')
  )
}

render(App);
if (module.hot) {
  module.hot.accept('./App', () => { render(App) });
}